Results 1 to 11 of 11

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: How can I jail break an iPod 2g?

  1. #1
    Default How can I jail break an iPod 2g?
    ??

  2. #2
    Need a LOT more information, including...
    Firmware Version
    Computer OS and Version
    Size of iPod in GB

    If you don't know this info, or if you aren't very tech savvy, you DEFINITELY DON'T want to mess with jailbreaking.

    And do NOT hold myself or ANYONE ELSE on this forum liable if the iPod gets messed up. Jailbreak at your OWN RISK.

  3. #3
    Jailbreakme.com

  4. #4
    Retired Moderator i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Jailbreakme is for 4.0.1 down to 3.1.x. To be specific.

    It would be wise to post the information requested by dmklunk for the best help.

  5. #5
    try limera1n

  6. #6
    i just got a new 2g ipod today and jailbroke it. You have to update it to its latest firmware which is 4.2.1 for ipod touch 2g then download greenpoison and follow its instructions and voila!

  7. #7
    Really?
    I wouldn't recommend loading 4.2.1 on an iPT 2g.
    You're probably better off staying with 3.1.x- if you can. (Some newer apps won't work though).
    4.2 is a memory hog on poor little ancient machines like this.

  8. #8
    Retired Moderator i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    It should run decently with multitasking and wallpaper disabled. I had mine on 4.2.1 like that and it was fine, surely slower than when it was on 3.1.x but the person I traded it off to I figured would prefer it on 4.2.1 bc ya don't trade an iPod nano for an iPod touch if you didn't want some app action

    Many apps nowadays really need iOS 4 and that's a bummer.

  9. #9
    yea my ipod 2g is running just fine. i use it more than my 4g.

  10. #10
    Quote Originally Posted by raduga View Post
    Really?
    I wouldn't recommend loading 4.2.1 on an iPT 2g.
    You're probably better off staying with 3.1.x- if you can. (Some newer apps won't work though).
    4.2 is a memory hog on poor little ancient machines like this.
    Really? Mine has been on 4.2.1 forever, btw you said some newer apps, more like every single app on the Apple store doesnt work on a second Gen, software is to outdated.

  11. #11
    Green Apple
    Join Date
    Dec 2013
    Location
    Australia
    Posts
    39
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Jailbreakme.com

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •